[project]
name = "kyc"
version = "0.1.0"
description = "KYC backend service"
authors = [
    {name = "Ruslan Bakiev",email = "572431+veikab@users.noreply.github.com"}
]
readme = "README.md"
requires-python = "^3.11"
dependencies = [
    "django (>=5.2.8,<6.0)",
    "graphene-django (>=3.2.3,<4.0.0)",
    "django-cors-headers (>=4.9.0,<5.0.0)",
    "psycopg2-binary (>=2.9.11,<3.0.0)",
    "python-dotenv (>=1.2.1,<2.0.0)",
    "infisicalsdk (>=1.0.12,<2.0.0)",
    "gunicorn (>=23.0.0,<24.0.0)",
    "whitenoise (>=6.7.0,<7.0.0)",
    "sentry-sdk (>=2.47.0,<3.0.0)",
    "pyjwt (>=2.10.1,<3.0.0)",
    "cryptography (>=41.0.0)"
]

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"
